# Uses of Enum Class
com.google.protobuf.DescriptorProtos.MethodOptions.IdempotencyLevel

Packages that use DescriptorProtos.MethodOptions.IdempotencyLevel
Package
Description
com.google.protobuf

## Uses of DescriptorProtos.MethodOptions.IdempotencyLevel in com.google.protobuf

Methods in com.google.protobuf that return DescriptorProtos.MethodOptions.IdempotencyLevel
Modifier and Type
Method
Description
`static DescriptorProtos.MethodOptions.IdempotencyLevel`
DescriptorProtos.MethodOptions.IdempotencyLevel.`forNumber(int value)`
`DescriptorProtos.MethodOptions.IdempotencyLevel`
DescriptorProtos.MethodOptions.Builder.`getIdempotencyLevel()`
`optional .google.protobuf.MethodOptions.IdempotencyLevel idempotency_level = 34 [default = IDEMPOTENCY_UNKNOWN, json_name = "idempotencyLevel"];`
`DescriptorProtos.MethodOptions.IdempotencyLevel`
DescriptorProtos.MethodOptions.`getIdempotencyLevel()`
`optional .google.protobuf.MethodOptions.IdempotencyLevel idempotency_level = 34 [default = IDEMPOTENCY_UNKNOWN, json_name = "idempotencyLevel"];`
`DescriptorProtos.MethodOptions.IdempotencyLevel`
DescriptorProtos.MethodOptionsOrBuilder.`getIdempotencyLevel()`
`optional .google.protobuf.MethodOptions.IdempotencyLevel idempotency_level = 34 [default = IDEMPOTENCY_UNKNOWN, json_name = "idempotencyLevel"];`
`static DescriptorProtos.MethodOptions.IdempotencyLevel`
DescriptorProtos.MethodOptions.IdempotencyLevel.`valueOf(int value)`
Deprecated.
`static DescriptorProtos.MethodOptions.IdempotencyLevel`
DescriptorProtos.MethodOptions.IdempotencyLevel.`valueOf(Descriptors.EnumValueDescriptor desc)`
Returns the enum constant of this class with the specified name.
`static DescriptorProtos.MethodOptions.IdempotencyLevel`
DescriptorProtos.MethodOptions.IdempotencyLevel.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static DescriptorProtos.MethodOptions.IdempotencyLevel[]`
DescriptorProtos.MethodOptions.IdempotencyLevel.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in com.google.protobuf that return types with arguments of type DescriptorProtos.MethodOptions.IdempotencyLevel
Modifier and Type
Method
Description
`static Internal.EnumLiteMap<DescriptorProtos.MethodOptions.IdempotencyLevel>`
DescriptorProtos.MethodOptions.IdempotencyLevel.`internalGetValueMap()`
Methods in com.google.protobuf with parameters of type DescriptorProtos.MethodOptions.IdempotencyLevel
Modifier and Type
Method
Description
`DescriptorProtos.MethodOptions.Builder`
DescriptorProtos.MethodOptions.Builder.`setIdempotencyLevel(DescriptorProtos.MethodOptions.IdempotencyLevel value)`
`optional .google.protobuf.MethodOptions.IdempotencyLevel idempotency_level = 34 [default = IDEMPOTENCY_UNKNOWN, json_name = "idempotencyLevel"];`